Reset PIN with OTP

Allows a User to reset their PIN by verifying a One-Time Password (OTP). The User must provide the OTP, a new PIN, and one identifier (Phone, Email, or Username), enabling secure PIN recovery when the User forgets their PIN.

PUT
/identity/v2/auth/pin/reset/otp/{type}

Allows a User to reset their PIN by verifying a One-Time Password (OTP). The User must provide the OTP, a new PIN, and one identifier (Phone, Email, or Username), enabling secure PIN recovery when the User forgets their PIN.

apikey<token>

Tenant API Key for authentication

In: query

Path Parameters

type*string

The method of ReAuth MFA verification to use.

Value in"backupcode" | "otp" | "googleauthenticatorcode" | "authenticatorcode"

Query Parameters

prevent_webhook?boolean

When true, suppresses webhook events for this operation.

g-recaptcha-response?string

Google reCAPTCHA response parameter which will be sent to the server for verification.

g_recaptcha_response?string

Google reCAPTCHA Response

qq_captcha_ticket?string

QQ Captcha ticket (required if Bot Protection is enabled)

qq_captcha_randstr?string

QQ Captcha rand string (required if Bot Protection is enabled)

h-captcha-response?string

hCaptcha Response

Header Parameters

X-PreventWebhook?boolean

When true, suppresses webhook events for this operation.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://api.loginradius.com/identity/v2/auth/pin/reset/otp/otp?prevent_webhook=true&g-recaptcha-response=03AGdBq24e1a2b3c4d5e6f7g8h9i0j1k2l3m4n5o6p7q8r9s0t1u2v3w4x5y6z7a8b9c0d1e2f3g4h5i6j7k8l9m0n1o2p3q4r5s6t7u8v9w0x1y2z3a4b5c6d7e8f9g0h1i2j3k4l5m6n7o8p9q0r1s2t3u4v5w6x7y8z9&g_recaptcha_response=03AGdBq24e1a2b3c4d5e6f7g8h9i0j1k2l3m4n5o6p7q8r9s0t1u2v3w4x5y6z7a8b9c0d1e2f3g4h5i6j7k8l9m0n1o2p3q4r5s6t7u8v9w0x1y2z3a4b5c6d7e8f9g0h1i2j3k4l5m6n7o8p9q0r1s2t3u4v5w6x7y8z9&qq_captcha_ticket=03AGdBq24eJ9O8dpLsw0Pr0OTtWfkmK34K0jQde&qq_captcha_randstr=03AGdBq24eJ9O8dpLsw0Pr0OTtWfkmK34K0jQde&h-captcha-response=03AGdBq24e1a2b3c4d5e6f7g8h9i0j1k2l3m4n5o6p7q8r9s0t1u2v3w4x5y6z7a8b9c0d1e2f3g4h5i6j7k8l9m0n1o2p3q4r5s6t7u8v9w0x1y2z3a4b5c6d7e8f9g0h1i2j3k4l5m6n7o8p9q0r1s2t3u4v5w6x7y8z9" \  -H "X-PreventWebhook: true" \  -H "Content-Type: application/json" \  -d '{    "otp": "123456",    "pin": "7890",    "username": "johndoe"  }'
{
  "IsPosted": true
}

{
  "ErrorCode": 908,
  "Message": "A parameter is not formatted correctly",
  "Description": "The apikey is a required parameter."
}

{
  "errorCode": 1409,
  "message": "Authentication failed",
  "description": "The credentials provided could not be authenticated."
}

{
  "ErrorCode": 6003,
  "Message": "Trial plan expired",
  "Description": "The trial plan has expired. To continue using the service, please contact support."
}

{
  "ErrorCode": 950,
  "Message": "Operation failed due to an unknown error",
  "Description": "An unknown error has occurred, please try again in a few minutes or contact your system admin."
}